Přeskočit na obsah

Hotely

Read a booking (voucher).

get/v1/hotels/bookings/{bookingId}

  • Vyžaduje ověření

Parametry

NázevUmístěníTypPopis
bookingId*cestastring

Odpovědi

200OKHotelBooking

  • bookingIdstring
  • bookingReferencestringmůže být null
  • statusstring

    confirmed | pending | cancelled | unknown.

  • hotelCodestringmůže být null
  • hotelNamestringmůže být null
  • cityNamestringmůže být null
  • roomTypestringmůže být null
  • checkInstringmůže být null
  • checkOutstringmůže být null
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • refundablebooleanmůže být null
  • priceChangedboolean
  • HolderInfo
    • firstNamestring
    • lastNamestring
    • emailstring
    • phonestring
  • BookingRoom[]
    • Guest[]
  • specialRequestsstringmůže být null
  • confirmedAtstring (date-time)může být null
  • 404Not FoundPodrobnosti o problému podle RFC 7807

Ukázky kódu

Kompletní programy, které podepisují požadavek tak, jak jej ověřuje brána. Nahraďte YOUR_KEY_ID a YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"